/*
 * packetmodeller/pm_print.h
 * $Rev: 846 $
 *
 * Copyright (C) 2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef PM_PRINT_H
#define PM_PRINT_H

/**
 * @file pm_print.h
 * @brief Interface to packetmodeller output functions (defined in packet_modeller.c)
 */

#include <stdarg.h>


/* PUBLIC PRINT FUNCTIONS *****************************************************/

/** Debug function pointers */
int (*pm_debug)(const char* format, ...);
void (*pm_debug_args)(const char* format, va_list args);

/** Print error message */
int
pm_error(const char *, ...);

/** Send message to syslog and print to debug output */
void
pm_log(const char *, ...);

#endif // PM_PRINT_H
