/*
 * vifd/vifd_print.h
 * $Rev: 923 $
 *
 * Copyright (C) 2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __VIFD_PRINT_H
#define __VIFD_PRINT_H

/**
 * @file vifd_print.h
 * @brief Interface to vifd output functions (defined in vifd.c)
 */

#include <stdarg.h>                     // va_list


/* PUBLIC PRINT FUNCTIONS *****************************************************/

/** Debug function pointer */
int (*vifd_debug)(const char* format, ...);
void (*vifd_debug_args)(const char* format, va_list args);

/** Print error message to stderr */
int
vifd_error(const char *, ...);

/** Send message to syslog and print to debug output */
void
vifd_log(const char *, ...);

#endif // __VIFD_PRINT_H
